Subject: Re: bug#8843: 23.3; Scheme-mode: Faulty syntax highlighting

From: Chong Yidong <[email-masked]>
Date: Sun, 21 Aug 2011 23:39:37 -0400

Simen Heggestøyl <[email-masked]> writes:

> How to trig the bug, starting from emacs -Q:
>  1. Type: M-x scheme-mode RET
>  2. Type: (define abcæøå)
>
> The string is highlighted until the "æøå"-part. Æ, ø and å are common
> letters in some Nordic alphabets. Also, the word movement commands
> (forward-word etc.) doesn't seem to treat æ, ø and å as part of the
> word. I think this is faulty, as æ/Æ, ø/Ø and å/Å are all legit
> Scheme-symbols. Lisp-mode and emacs-lisp-mode seem to handle these
> characters as expected. This may be a problem for other foreign
> characters too, I don't know.

I've committed a fix to the trunk (for Emacs 24.1).  Thanks for the bug
report.